Subject: bug#53945: saveplace should save the buffer's mark list too

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Feb 2022 20:38:29 +0200

>> Did you know that desktop-save-mode saves the mark ring of every buffer?
>
> No, but I don't use desktop mode, I like to start with  no buffers
> when I restart emacs. But when I open a file then I like it when it
> puts the cursor to where it was last time. That's why I use saveplace
> to save this location info and also saving other useful locations in the
> file (the mark ring) is a logical and handy improvement to it.

The format used by saveplace.el allows adding more data,
so it's easy to add the mark ring.

But are you sure that the package with the name "saveplace"
is a suitable place to save the mark ring?

For example, saveplace.el is optimized to not save the location
when point is at the beginning of the buffer.  So in such cases
the mark ring will not be saved too.

You said that don't want to use the desktop mode.
What if someone would like to save only the mark ring,
but not to save locations in files?